xmonad-contrib-0.18.1: Community-maintained extensions for xmonad

Copyright | (c) Andrea Rossato 2007
License | BSD3-style (see LICENSE)
Maintainer | andrea.rossato@unibz.it
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

XMonad.Config.Arossato

Contents

- Usage

Description

Deprecated: This module contains a personal configuration, to be removed from xmonad-contrib. If you use this module, please copy the relevant parts to your configuration or obtain a copy of it on https://xmonad.org/configurations.html and include it as a local module.

This module specifies my xmonad defaults.

Synopsis

- arossatoConfig :: MonadIO m => m (XConfig (ModifiedLayout AvoidStruts (Choose (ModifiedLayout (Decoration SimpleDecoration DefaultShrinker) (ModifiedLayout MouseResize (ModifiedLayout WindowArranger SimpleFloat))) (Choose (ModifiedLayout WithBorder (ModifiedLayout (Decoration TabbedDecoration DefaultShrinker) Simplest)) (ModifiedLayout WindowArranger (Choose (ModifiedLayout Magnifier Tall) (Choose (ModifiedLayout WithBorder Full) (Choose (Mirror Tall) Accordion))))))))

# Usage

The simplest way to use this configuration module is to use an `xmonad.hs` like this:

    module Main (main) where

    import XMonad
    import XMonad.Config.Arossato (arossatoConfig)

    main :: IO ()
    main = xmonad =<< arossatoConfig

NOTE: that I'm using xmobar and, if you don't have xmobar in your PATH, this configuration will produce an error and xmonad will not start. If you don't want to install xmobar get rid of this line at the beginning of `arossatoConfig`.

You can use this module also as a starting point for writing your own configuration module from scratch. Save it as your `xmonad.hs` and:

1. Change the module name from

    module XMonad.Config.Arossato
        ( -- * Usage
          -- $usage
          arossatoConfig
        ) where

to

    module Main where

1. Add a line like:

    main = xmonad =<< arossatoConfig

1. Start playing with the configuration options...;)

arossatoConfig :: MonadIO m => m (XConfig (ModifiedLayout AvoidStruts (Choose (ModifiedLayout (Decoration SimpleDecoration DefaultShrinker) (ModifiedLayout MouseResize (ModifiedLayout WindowArranger SimpleFloat))) (Choose (ModifiedLayout WithBorder (ModifiedLayout (Decoration TabbedDecoration DefaultShrinker) Simplest)) (ModifiedLayout WindowArranger (Choose (ModifiedLayout Magnifier Tall) (Choose (ModifiedLayout WithBorder Full) (Choose (Mirror Tall) Accordion)))))))) #